/*
 * e_df_dt_3f.h
 *
 *  Created on: 05-07-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_DF_DT_3F_H_
#define E_DF_DT_3F_H_

#include "tdefs.h"
#include "e_f.h"

struct e_df_dt_3f_logic
{
	u8 *ok_ptr;
	u8 ok_bit_no;
	float *df_ptr;
	float DT_;
	struct e_f_wyjscie *f1;
	struct e_f_wyjscie *f2;
	struct e_f_wyjscie *f3;

	float wyDf;
	u8 wyOK;
	struct e_f_wyjscie *w;
 	unsigned short i;
	unsigned short nr_pp;
	short idxp;
	unsigned short OK_;
	float DT;
	float f;
};

struct e_df_dt_3f_io
{
	u32 f1_ptr_in;
	u32 f2_ptr_in;
	u32 f3_ptr_in;

	u32 df_float_out;
	u32 ok_out;
}__attribute__((__packed__));

struct e_df_dt_3f_params
{
	double DT_;
}__attribute__((__packed__));

struct e_df_dt_3f_args
{
	struct e_df_dt_3f_io io;
	struct e_df_dt_3f_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_df_dt_3f_100hz(void *args, void *logic);
extern int e_df_dt_3f_initlog(void *arguments, void *logic);

#endif /* E_DF_DT_3F_H_ */
